curl --location 'https://api-35.elogii.com/drivers/createOrUpdateMany' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"items": [
{
"uid": "DR-XYSYX28C",
"firstName": "Driver ",
"lastName": "1",
"mobile2": "01000000008",
"schedule": {
"Mon": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
},
"Tue": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
},
"Wed": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
},
"Thu": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
},
"Fri": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
},
"Sat": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
},
"Sun": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
}
}
},
{
"uid": "DR-JK4AF6I0",
"firstName": "Driver ",
"lastName": "2",
"mobile2": "0200000009",
"schedule": {
"Mon": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
},
"Tue": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
},
"Wed": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
},
"Thu": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
},
"Fri": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
},
"Sat": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
},
"Sun": {
"timeWindows": [
{
"start": 480,
"latestStart": null,
"end": 1020
}
],
"breaks": []
}
}
}
],
"importConfig": {
"importMode": "update",
"match": {
"uid": true
}
}
}'{
"result": 2,
"ids": [
"69f10229353e00ac282bc0fc",
"69f1025589d10e9ccbf0bc99"
],
"errors": [],
"updated": 2
}